Package ru.bitel.bgbilling.modules.hd.server.bean

# Class ContractPackage

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.hd.server.bean.ContractPackage

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class ContractPackage extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractPackage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAdminComment()`
  `String`
  `getContractComment()`
  `String`
  `getContractTitle()`
  `Calendar`
  `getDate1()`
  `Calendar`
  `getDate2()`
  `String`
  `getNsDomain()`
  `int`
  `getPackageId()`
  `String`
  `getPackageTitle()`
  `int`
  `getStatus()`
  `void`
  `setAdminComment(String adminComment)`
  `void`
  `setContractComment(String contractComment)`
  `ContractPackage`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDate1(Calendar date1)`
  `void`
  `setDate2(Calendar date2)`
  `ContractPackage`
  `setId(int id)`
  Устанавливает id объекта
  `void`
  `setNsDomain(String nsDomain)`
  `void`
  `setPackageId(int serviceId)`
  `void`
  `setPackageTitle(String serviceTitle)`
  `void`
  `setStatus(int status)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractPackage

    public ContractPackage()

- ## Method Details

  - ### getAdminComment

    public String getAdminComment()

  - ### getContractComment

    public String getContractComment()

  - ### getContractTitle

    public String getContractTitle()

  - ### getDate1

    public Calendar getDate1()

  - ### getDate2

    public Calendar getDate2()

  - ### getNsDomain

    public String getNsDomain()

  - ### getPackageId

    public int getPackageId()

  - ### getPackageTitle

    public String getPackageTitle()

  - ### getStatus

    public int getStatus()

  - ### setAdminComment

    public void setAdminComment(String adminComment)

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### setContractId

    public ContractPackage setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### setDate1

    public void setDate1(Calendar date1)

  - ### setDate2

    public void setDate2(Calendar date2)

  - ### setId

    public ContractPackage setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setNsDomain

    public void setNsDomain(String nsDomain)

  - ### setPackageId

    public void setPackageId(int serviceId)

  - ### setPackageTitle

    public void setPackageTitle(String serviceTitle)

  - ### setStatus

    public void setStatus(int status)